LibreOffice: XConsolidationDescriptor Interface Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Public Member Functions | List of all members
XConsolidationDescriptor Interface Referencepublished

provides access to the settings of a consolidation descriptor. More...

`import"XConsolidationDescriptor.idl";`

Inheritance diagram for XConsolidationDescriptor:

## Public Member Functions
com::sun::star::sheet::GeneralFunction | getFunction ()
| returns the function by which the ranges are consolidated. More...
void | setFunction ([in] com::sun::star::sheet::GeneralFunction nFunction)
| sets the function by which the ranges are consolidated. More...
sequence< com::sun::star::table::CellRangeAddress > | getSources ()
| returns the cell ranges which are consolidated. More...
void | setSources ([in] sequence< com::sun::star::table::CellRangeAddress > aSources)
| sets the cell ranges which are consolidated. More...
com::sun::star::table::CellAddress | getStartOutputPosition ()
| returns the position of the top left cell of the cell range where the consolidated data are copied. More...
void | setStartOutputPosition ([in] com::sun::star::table::CellAddress aStartOutputPosition)
| sets the position of the top left cell of the cell range where the consolidated data are copied. More...
boolean | getUseColumnHeaders ()
| returns, whether column headers from the cell ranges are used to find matching data or not. More...
void | setUseColumnHeaders ([in] boolean bUseColumnHeaders)
| specifies if column headers from the cell ranges are used to find matching data. More...
boolean | getUseRowHeaders ()
| returns, whether row headers from the cell ranges are used to find matching data or not. More...
void | setUseRowHeaders ([in] boolean bUseRowHeaders)
| specifies if row headers from the cell ranges are used to find matching data. More...
boolean | getInsertLinks ()
| returns, whether links to the original data are inserted in the output area or not. More...
void | setInsertLinks ([in] boolean bInsertLinks)
| specifies if links to the original data are inserted in the output area. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to the settings of a consolidation descriptor.

Deprecated:

See also
  com::sun::star::sheet::ConsolidationDescriptor

Developers Guide
  Spreadsheets - Other Table Operations - Data Consolidation

## Member Function Documentation

## ◆ getFunction()

com::sun::star::sheet::GeneralFunction getFunction | ( |  | ) |

returns the function by which the ranges are consolidated.

## ◆ getInsertLinks()

boolean getInsertLinks | ( |  | ) |

returns, whether links to the original data are inserted in the output area or not.

## ◆ getSources()

sequence< com::sun::star::table::CellRangeAddress > getSources | ( |  | ) |

returns the cell ranges which are consolidated.

## ◆ getStartOutputPosition()

com::sun::star::table::CellAddress getStartOutputPosition | ( |  | ) |

returns the position of the top left cell of the cell range where the consolidated data are copied.

## ◆ getUseColumnHeaders()

boolean getUseColumnHeaders | ( |  | ) |

returns, whether column headers from the cell ranges are used to find matching data or not.

## ◆ getUseRowHeaders()

boolean getUseRowHeaders | ( |  | ) |

returns, whether row headers from the cell ranges are used to find matching data or not.

## ◆ setFunction()

void setFunction | ( | [in] com::sun::star::sheet::GeneralFunction | nFunction | ) |

sets the function by which the ranges are consolidated.

## ◆ setInsertLinks()

void setInsertLinks | ( | [in] boolean | bInsertLinks | ) |

specifies if links to the original data are inserted in the output area.

## ◆ setSources()

void setSources | ( | [in] sequence< com::sun::star::table::CellRangeAddress > | aSources | ) |

sets the cell ranges which are consolidated.

## ◆ setStartOutputPosition()

void setStartOutputPosition | ( | [in] com::sun::star::table::CellAddress | aStartOutputPosition | ) |

sets the position of the top left cell of the cell range where the consolidated data are copied.

## ◆ setUseColumnHeaders()

void setUseColumnHeaders | ( | [in] boolean | bUseColumnHeaders | ) |

specifies if column headers from the cell ranges are used to find matching data.

## ◆ setUseRowHeaders()

void setUseRowHeaders | ( | [in] boolean | bUseRowHeaders | ) |

specifies if row headers from the cell ranges are used to find matching data.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XConsolidationDescriptor.idl